com.google.appengine.api.images

## Class InputSettings

- java.lang.Object
- - com.google.appengine.api.images.InputSettings

-     public class InputSettings
      extends java.lang.Object

  `InputSettings` represents the different settings to specify how an `Image` is interpreted by a transform.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InputSettings.OrientationCorrection` Actions to take with respect to correcting image orientation based on image metadata.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputSettings()` Create an InputSettings with default orientation correction of `InputSettings.OrientationCorrection.UNCHANGED_ORIENTATION`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputSettings.OrientationCorrection` | `getOrientationCorrection()` Get what action to take with respect to correcting image orientation based on image metadata.
    `void` | `setOrientationCorrection(InputSettings.OrientationCorrection orientationCorrection)` Set what action to take with respect to correcting image orientation based on image metadata.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputSettings

          public InputSettings()

      Create an InputSettings with default orientation correction of `InputSettings.OrientationCorrection.UNCHANGED_ORIENTATION`.

  - ### Method Detail

    - #### setOrientationCorrection

          public void setOrientationCorrection(InputSettings.OrientationCorrection orientationCorrection)

      Set what action to take with respect to correcting image orientation based on image metadata.
      Parameters:
        `orientationCorrection` - what should be done to correct orientation

    - #### getOrientationCorrection

          public InputSettings.OrientationCorrection getOrientationCorrection()

      Get what action to take with respect to correcting image orientation based on image metadata.
      Returns:
        what should be done to correct orientation